cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
ilya_gutin
Dynatrace Guide
Dynatrace Guide

zLocal can't connect to the zRemote module

Check whether the zDC subsystem version is lower or equal to the zRemote module version. If the zDC version is higher than the zRemote version, the zLocal can not connect to the zRemote.

zLocal could not be started

Check the job log of the zDC for any of the following error messages.

Invalid permission on the zLocal folder or libraries

ZDC996E Atx5!DTAGTCMD attach failed
    ZDC997D RetRcRsn FFFFFFFF 0000006F 5B400002 EACCES: Permission is denied
    ZDC997D Notice: unknown modid, reason text might be incorrect
    ZDC992I IniA!z/OS Unix agent attach failed
    ZDC996E @Abrtz/OS Unix agent attach failed,Abort

Correct the permission on the zLocal folder and binaries, so they are at least readable and executable

TCP/IP access denied

ZDC996E      Atx5!DTAGTCMD attach failed
ZDC997D      RetRcRsn FFFFFFFF 0000006F EF076015 EACCES: Permission is denied
ZDC997D      Description: SAF CKACC returned error.
ZDC996E      @Abrtz/OS Unix agent attach failed,Abort

If your security system, such as Top Secret or ACF2, denies access to TCP/IP by default, add a rule to permit the zDC user ID to access TCP/IP

Invalid location specified for the zLocal

ZDC996E      Atx5!DTAGTCMD attach failed
ZDC997D      RetRcRsn FFFFFFFF 00000081 0516006C ENOENT: No such file, directory, or IPC
             member exists
ZDC997D      JRFileNotThere: The requested file does not exist
ZDC992I      IniA!z/OS Unix agent attach failed
ZDC996E      @Abrtz/OS Unix agent attach failed,Abort
ZDC975E      z/OS Unix agent attach failed,Abort

Correct the DTAGTCMD parameter in the SYSIN parameters to point to the correct zLocal binary location.

Version history
Last update:
‎07 Feb 2024 03:43 PM
Updated by:
Comments
dannemca
DynaMight Leader
DynaMight Leader

In past (1 year ago) one of the most common cause of bad connection in my client was the missmatch of OA version on zDC vs the AG (zRemote) version.

zDC with higher versions than zRemote

zDC with version too old

Is this still true?